Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.interpolation
Class SmoothingPolynomialBicubicSplineInterpolator

    java.lang.Object
      org.apache.commons.math.analysis.interpolation.BicubicSplineInterpolator
          org.apache.commons.math.analysis.interpolation.SmoothingPolynomialBicubicSplineInterpolator

All Implemented Interfaces:
  BivariateRealGridInterpolator

    public class SmoothingPolynomialBicubicSplineInterpolator

extends BicubicSplineInterpolator

Generates a bicubic interpolation function. Prior to generating the interpolating function, the input is smoothed using polynomial fitting.

Since:
  2.2
Version:
  $Revision: 1003892 $ $Date: 2010-10-02 23:28:56 +0200 (sam. 02 oct. 2010) $

Constructor Summary
`SmoothingPolynomialBicubicSplineInterpolator()` Default constructor.
`SmoothingPolynomialBicubicSplineInterpolator(int degree)`
`SmoothingPolynomialBicubicSplineInterpolator(int xDegree, int yDegree)`

Method Summary
`BicubicSplineInterpolatingFunction` | `interpolate(double[] xval, double[] yval, double[][] fval)` Computes an interpolating function for the data set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmoothingPolynomialBicubicSplineInterpolator

    public SmoothingPolynomialBicubicSplineInterpolator()

  Default constructor. The degree of the fitting polynomials is set to 3.

### SmoothingPolynomialBicubicSplineInterpolator

    public SmoothingPolynomialBicubicSplineInterpolator(int degree)

Parameters:
  `degree` - Degree of the polynomial fitting functions.

### SmoothingPolynomialBicubicSplineInterpolator

    public SmoothingPolynomialBicubicSplineInterpolator(int xDegree,
                                                        int yDegree)

Parameters:
  `xDegree` - Degree of the polynomial fitting functions along the x-dimension.
  `yDegree` - Degree of the polynomial fitting functions along the y-dimension.

Method Detail

### interpolate

    public BicubicSplineInterpolatingFunction interpolate(double[] xval,
                                                          double[] yval,
                                                          double[][] fval)
                                                   throws MathException

  Computes an interpolating function for the data set.

  Specified by:
    `interpolate` in interface `BivariateRealGridInterpolator`
  Overrides:
    `interpolate` in class `BicubicSplineInterpolator`
  Parameters:
    `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
    `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
    `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
  Returns:
    a function which interpolates the data set.
  Throws:
    `MathException` - if arguments violate assumptions made by the interpolation algorithm.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.